org.springframework.web.accept

## Class HeaderContentNegotiationStrategy

- java.lang.Object
- - org.springframework.web.accept.HeaderContentNegotiationStrategy

- All Implemented Interfaces:
    ContentNegotiationStrategy

      public class HeaderContentNegotiationStrategy
      extends Object
      implements ContentNegotiationStrategy

  A `ContentNegotiationStrategy` that checks the 'Accept' request header.
  Since:
    3.2
  Author:
    Rossen Stoyanchev, Juergen Hoeller

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.web.accept.ContentNegotiationStrategy

      `MEDIA_TYPE_ALL_LIST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeaderContentNegotiationStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<MediaType>` | `resolveMediaTypes(NativeWebRequest request)` Resolve the given request to a list of media types.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeaderContentNegotiationStrategy

          public HeaderContentNegotiationStrategy()

  - ### Method Detail

    - #### resolveMediaTypes

          public List<MediaType> resolveMediaTypes(NativeWebRequest request)
                                            throws HttpMediaTypeNotAcceptableException

      Resolve the given request to a list of media types. The returned list is ordered by specificity first and by quality parameter second.
      Specified by:
        `resolveMediaTypes` in interface `ContentNegotiationStrategy`
      Parameters:
        `request` - the current request
      Returns:
        the requested media types, or `ContentNegotiationStrategy.MEDIA_TYPE_ALL_LIST` if none were requested.
      Throws:
        `HttpMediaTypeNotAcceptableException` - if the 'Accept' header cannot be parsed